Subject: [TLS] DTLS for Delegated Credentials (draft-ietf-tls-subcerts)?

From: Sean Turner <[email-masked]>
Date: Wed, 16 Feb 2022 15:25:38 -0500

Hi

During Ben Kaduk’s AD review of draft-ietf-tls-subcerts, he noted that we need to address whether the I-D can also apply to DTLS. This might be useful for WebRTC, for example.

Right now the I-D exclusively mentions TLS. The fix might be as easy as a global replace of TLS with (D)TLS. Can anybody think of a reason to preclude DTLS?

We also need to say one way or the other becase we need to tell IANA to what to put in the “DTLS-Only” column when registering the “delegated_credentials” extension.

Cheers,
spt (for the chairs)

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 16 Feb 2022 20:30:02 +0000

>    Right now the I-D exclusively mentions TLS. The fix might be as easy as a global replace of TLS with (D)TLS. Can anybody think of a reason to preclude DTLS?

I can't think of one. I wonder if this also extends to QUIC and NTP security, but that's up to those WG's or UTA I guess.

---

From: John Mattsson <[email-masked]>
Date: Wed, 16 Feb 2022 23:15:51 +0000

I see no reason to preclude DTLS. DTLS-OK should be Y.

Some quick comments on the document:

- "certificate key" seems undefined.

-  "Delegated credentials do not provide any additional form of early revocation."

I think this definitly require more security considerations. For systems doing frequent revocation checking this is a significant downgrade.

Is it correct that an expiry of an RFC 5280 cert is ”revocation”?

- "Since it is short lived, the expiry of the delegated credential revokes the credential."

This would be true also for long lived.

Is it correct that an expired RFC 5280 cert is "revoked"?

- "Revocation of the long term private key that signs the delegated credential (from the end-entity certificate) also implicitly revokes the delegated credential."

I think you revoke a certifice, not a private key.

Nothing says that the certificate is long lived. They could both be valid for 7 days.

Revocation of the certificate is problematic as it revokes certificate and all the delegated credentials (there might be many). Should be given more considerations.

- Extended key usage is not discussed at all. That a cert with id-kp-serverAuth but not id-kp-clientAuth can be used to sign a delegated client cert seems strange.

- How does delegated credentials work in systems that use fingerprints like RFC 4975 and RFC 5763. I think that need to be discussed/specified.

Cheers,
John

From: TLS <[email-masked]> on behalf of Salz, Rich <rsalz=[email-masked]>
Date: Wednesday, 16 February 2022 at 21:31
To: Sean Turner <[email-masked]>, TLS List <[email-masked]>
Subject: Re: [TLS] DTLS for Delegated Credentials (draft-ietf-tls-subcerts)?

_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 17 Feb 2022 10:15:59 +1100

On Thu, Feb 17, 2022, at 07:25, Sean Turner wrote:
> Right now the I-D exclusively mentions TLS. The fix might be as easy as 
> a global replace of TLS with (D)TLS. Can anybody think of a reason to 
> preclude DTLS?

I just checked and our implementation (thanks again Chris P) works and is tested with DTLS.

I don't think that there is *much* reason to use this in WebRTC, but that shouldn't stop someone from doing that[1].

Cheers,
Martin

[1] If someone does want to use this in WebRTC, let me know and I'll make sure we offer the extension there; we're still not on a final version of DTLS 1.3 there, which is only available in Nightly builds, so you won't get much use out of it for a while.

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 23 Feb 2022 10:12:04 +0000

Hi Sean, Hi all,

I think the document should also include a reference to DTLS since there is no reason that sub-certs do not apply to DTLS as well.

Ciao
Hannes

-----Original Message-----
From: TLS <[email-masked]> On Behalf Of Sean Turner
Sent: Wednesday, February 16, 2022 9:26 PM
To: TLS List <[email-masked]>
Subject: [TLS] DTLS for Delegated Credentials (draft-ietf-tls-subcerts)?

Hi

Cheers,
spt (for the chairs)
_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls
IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.